Package com.enonic.xp.data

## Class ValueTypes

- java.lang.Object
- - com.enonic.xp.data.ValueTypes

-     @PublicApi
      public final class ValueTypes
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ValueType<BinaryReference>` | `BINARY_REFERENCE` |
    `static ValueType<Boolean>` | `BOOLEAN` |
    `static ValueType<Instant>` | `DATE_TIME` |
    `static ValueType<Double>` | `DOUBLE` |
    `static ValueType<GeoPoint>` | `GEO_POINT` |
    `static ValueType<Link>` | `LINK` |
    `static ValueType<LocalDate>` | `LOCAL_DATE` |
    `static ValueType<LocalDateTime>` | `LOCAL_DATE_TIME` |
    `static ValueType<LocalTime>` | `LOCAL_TIME` |
    `static ValueType<Long>` | `LONG` |
    `static ValueType<PropertySet>` | `PROPERTY_SET` |
    `static ValueType<Reference>` | `REFERENCE` |
    `static ValueType<String>` | `STRING` |
    `static ValueType<String>` | `XML` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValueTypes()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ValueType` | `getByName​(String name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_SET

          public static final ValueType<PropertySet> PROPERTY_SET

    - #### STRING

          public static final ValueType<String> STRING

    - #### XML

          public static final ValueType<String> XML

    - #### LOCAL_DATE

          public static final ValueType<LocalDate> LOCAL_DATE

    - #### LOCAL_DATE_TIME

          public static final ValueType<LocalDateTime> LOCAL_DATE_TIME

    - #### LOCAL_TIME

          public static final ValueType<LocalTime> LOCAL_TIME

    - #### DATE_TIME

          public static final ValueType<Instant> DATE_TIME

    - #### LONG

          public static final ValueType<Long> LONG

    - #### DOUBLE

          public static final ValueType<Double> DOUBLE

    - #### GEO_POINT

          public static final ValueType<GeoPoint> GEO_POINT

    - #### REFERENCE

          public static final ValueType<Reference> REFERENCE

    - #### LINK

          public static final ValueType<Link> LINK

    - #### BOOLEAN

          public static final ValueType<Boolean> BOOLEAN

    - #### BINARY_REFERENCE

          public static final ValueType<BinaryReference> BINARY_REFERENCE

  - ### Constructor Detail

    - #### ValueTypes

          public ValueTypes()

  - ### Method Detail

    - #### getByName

          public static ValueType getByName​(String name)